<?php

namespace App\Exports;

use App\Models\MonitoringQuestion;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\FromQuery;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\WithMapping;

class MonitoringQuestionsExport implements WithMapping, WithHeadings,FromQuery
{

    public function query()
    {
        $monitoring_questions=MonitoringQuestion::query();
        if(request('IDS')){
            $monitoring_questions=$monitoring_questions->whereIn('id',explode(',',request('IDS')));
        }
        return $monitoring_questions;
    }
    /**
    * @return \Illuminate\Support\Collection
    */

    public function map($monitoring_question) : array {
        return [

            $monitoring_question->name,
            $monitoring_question->status,
            $monitoring_question->created_at?$monitoring_question->created_at->format('d M Y, h:i a'):'',

        ] ;
    }
    public function headings() : array {
        return [
            __('Name'),
            __('Status'),
            __('Created At')
        ] ;
    }
}
